#ifndef LINT
static char *rcsid="$Id: initattr.c 397 2005-06-29 10:16:37Z crosser $";
#endif
                                                                                
/*
	WHAT IS IT:
		modularized contentfilter for Zmailer
	COPYRIGHT:
		(c) 2003-2005 Eugene G. Crosser <crosser@average.org>
	LICENSE:
		The same set as apply to Zmailer code
*/

#include "config.h"

#ifdef STDC_HEADERS
# include <stdio.h>
# include <stdlib.h>
# include <string.h>
#endif

#include "zmscanner.h"

/* when the data is in a realloc'ed block, adjust pointers after realloc */
void
shiftattr(mattr_t *attr,size_t howmuch)
{
	attr->boundary.beg+=howmuch;
	attr->boundary.end+=howmuch;
	attr->content_type.beg+=howmuch;
	attr->content_type.end+=howmuch;
	attr->name.beg+=howmuch;
	attr->name.end+=howmuch;
	attr->charset.beg+=howmuch;
	attr->charset.end+=howmuch;
}
