/*
	$Id: rtconfig.h 442 2007-01-31 09:27:42Z crosser $
*/

/*
	WHAT IS IT:
		modularized contentfilter for Zmailer
	COPYRIGHT:
		(c) 2003-2005 Eugene G. Crosser <crosser@average.org>
	LICENSE:
		The same set as apply to Zmailer code
*/

#ifndef RTCONFIG_H
#define RTCONFIG_H

typedef struct _gcfg {
	int firstmimehdr;
	int maxsize;
	char *socket;
	char *initstage;
	char *finalstage;
	char *pidfile;
	char *modconfdir;
	char *miltersock;
	char *myfqdn;
	char *mydomain;
	int reconstruct;
} gcfg_t;
extern gcfg_t gcfg;

extern int
readconfig(char *fn,int loadmodules);
extern void
init_dyn_modules(void);

#endif
